Page MenuHomePhabricator

ui.relative_layout: add internal clipper
ClosedPublic

Authored by YOhoho on Apr 16 2019, 11:20 PM.

Details

Summary

If there is no clipper of container, color_set and clipper_set api won't work.

Test Plan
  1. elementary_test -to 'efl.ui.relative_layout'
  2. Click button1
  3. check that buttons color are changed.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
YOhoho created this revision.Apr 16 2019, 11:20 PM
YOhoho requested review of this revision.Apr 16 2019, 11:20 PM
YOhoho updated this revision to Diff 21441.Apr 17 2019, 9:16 PM

remove relative_layout from children hash.

I think there is a typo in the commit description.

If there is no clipeer of container, -> If there is no clipper of container,

src/lib/elementary/efl_ui_relative_layout.c
543

Was this code missing before?

I mean this code should have existed before but it was not added? Or is this code required from now?

is pd->base freed when relative layout is destructed?

is pd->base freed when relative layout is destructed?

No. it is memory leak

src/lib/elementary/efl_ui_relative_layout.c
543

The former is right. when a child is unregistered, the relative_layout should recalculate layout.

I think this code have to be added in _unregister_all too.

YOhoho updated this revision to Diff 21586.Apr 23 2019, 9:43 PM
YOhoho edited the summary of this revision. (Show Details)

Fix memory leak and add missing code.

Jaehyun_Cho accepted this revision.Apr 24 2019, 4:21 AM
This revision is now accepted and ready to land.Apr 24 2019, 4:21 AM
Closed by commit rEFL336500469ae2: ui.relative_layout: add internal clipper (authored by Yeongjong Lee <yj34.lee@samsung.com>, committed by Jaehyun_Cho). · Explain WhyApr 24 2019, 4:23 AM
This revision was automatically updated to reflect the committed changes.